﻿
using System;
using System.Drawing;
using Wisej.Web;

namespace WisejWebDesktopApplication1
{
    public partial class Window1 : Form
    {
        public Window1()
        {
            InitializeComponent();
        }
		public Color CellColorBeforEdit;


		private void dataGridView1_Appear(object sender, EventArgs e)
        {
            int amount = 10;
            DataGridView dg = (DataGridView) sender;
            dg.Rows.Add(amount);
            for (int row = 0; row < amount; row++)
            {
                for (int col = 0; col < 6; col++)
                {
                    dg.Rows[row].Cells[col].Value = row.ToString();
                }
            }
			dg.Columns[2].DefaultCellStyle.BackColor = System.Drawing.Color.FromArgb(52, 255, 198); //has alpha value

			dg.Columns[3].DefaultCellStyle.BackColor = System.Drawing.Color.FromArgb(88, 52, 255, 198); //no alpha value
		}

		private void dataGridView1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
		{
			DataGridView dgv = (DataGridView)sender;
			CellColorBeforEdit = dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].InheritedStyle.BackColor;
			Color newcolor = Color.FromArgb(CellColorBeforEdit.R, CellColorBeforEdit.G, CellColorBeforEdit.B);
			dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Style.BackColor = newcolor;
		}

		private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
		{
			DataGridView dgv = (DataGridView)sender;
			dgv.Rows[e.RowIndex].Cells[e.ColumnIndex].Style.BackColor = CellColorBeforEdit;
		}
	}
}
